#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Plasma and Qt widget style and window decorations for Plasma 5
Name:           oxygen
Version: 5.27.10
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz


BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5FrameworkIntegration)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  kwin-devel
BuildRequires:  kdecoration-devel

BuildRequires:  cmake(KF5Wayland)

Provides:       plasma-style-oxygen = %version-%release

Requires:       oxygen-sounds

%description
Plasma and Qt widget style and window decorations for Plasma 5.

%files -f %name.lang
%_kf5_bindir/oxygen-demo5
%_kf5_bindir/oxygen-settings5
%_kf5_iconsdir/Oxygen_*
%_kf5_iconsdir/KDE_Classic
%_kf5_iconsdir/hicolor/256x256/apps/oxygen-settings.png
%_kf5_datadir/kstyle/themes/oxygen.themerc
%_kf5_datadir/plasma/look-and-feel/org.kde.oxygen
%_qt5_plugindir/kstyle_oxygen_config.so
%_qt5_plugindir/styles/oxygen.so
%_qt5_plugindir/org.kde.kdecoration2/oxygendecoration.so
%_kf5_services/oxygenstyleconfig.desktop
%_kf5_services/oxygendecorationconfig.desktop
%_kf5_datadir/color-schemes/*.colors

#--------------------------------------------------------------------

%define oxygenstyle5_major 5
%define liboxygenstyle5 %mklibname oxygenstyle5_ %{oxygenstyle5_major}

%package -n %liboxygenstyle5
Summary:        Default Plasma widget theme
Group:          System/Libraries

%description -n %liboxygenstyle5
Default Plasma widget theme.

%files -n %liboxygenstyle5
%_kf5_libdir/liboxygenstyle5.so.%{oxygenstyle5_major}{,.*}

#--------------------------------------------------------------------

%define oxygenstyleconfig5_major 5
%define liboxygenstyleconfig5 %mklibname oxygenstyleconfig5_ %{oxygenstyleconfig5_major}

%package -n %liboxygenstyleconfig5
Summary:        Default Plasma widget theme
Group:          System/Libraries

%description -n %liboxygenstyleconfig5
Default Plasma widget theme.

%files -n %liboxygenstyleconfig5
%_kf5_libdir/liboxygenstyleconfig5.so.%{oxygenstyleconfig5_major}{,.*}

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.27.10-1.mga9
+ Revision: 2039948
- New version 5.27.10

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958052
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951965
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949090
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945797
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944809
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942076
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935084
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930073
- New version 5.26.5

* Thu Dec 15 2022 daviddavid <daviddavid> 5.26.4-1.mga9
+ Revision: 1923202
- enable KF5Wayland support
+ neoclust <neoclust>
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907544
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889258
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875475
- New version 5.25.4

* Fri Jul 29 2022 neoclust <neoclust> 5.25.3-3.mga9
+ Revision: 1872802
- Add back oxygen-sounds as requires

* Thu Jul 28 2022 neoclust <neoclust> 5.25.3-2.mga9
+ Revision: 1872741
- The is not oxygen-sound package anymore

* Thu Jul 28 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872677
- New version 5.25.3
- New version 5.24.5

* Thu Mar 31 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1837505
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766172
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756837
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750088
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736182
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721767
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715400
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704277
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697447
- New version 5.21.2

* Sat Feb 27 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1692650
- New version 5.21.1

* Mon Jan 11 2021 daviddavid <daviddavid> 5.20.4-2.mga8
+ Revision: 1671081
- add conflicts (with removed qt4-style-oxygen) to ease upgrade mga7->mga8

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654202
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645420
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639993
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637746
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635450
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620788
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609612
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603011
- New version 5.19.3

* Thu Jul 02 2020 daviddavid <daviddavid> 5.19.2-2.mga8
+ Revision: 1601402
- split out in its own sub-package the Oxygen sounds (mga#26888)

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598726
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1596169
- New version 5.19.1
- Qt4/KDE4 style plugin was removed upstream
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580770
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 24 2020 daviddavid <daviddavid> 5.18.3-2.mga8
+ Revision: 1559484
- add conflicts for older plasma-desktop containing Oxygen.colors and OxygenCold.colors

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557159
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550385
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548254
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547132
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496296
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487410
- New version 5.17.90
+ wally <wally>
- build with new cmake macros
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464307
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460065
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456776
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455341
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453173
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448251
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437057
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426325
- New version 5.16.4

* Thu Jul 25 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1424105
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386857
- New version 5.15.4

* Sun Mar 31 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1383810
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374940
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370563
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368603
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367240
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356187
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339324
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324890
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1300078
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252571
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204454
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1201000
- New version 5.12.1

* Thu Jan 18 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194306
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185694
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174114
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172399
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162407
- New version 5.10.95
- New version 5.10.5

* Sat Jul 22 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128213
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104850
- New version 5.8.7

* Tue Mar 14 2017 neoclust <neoclust> 5.8.6-5.mga6
+ Revision: 1092556
- Add provides for plasma style (mga#19272)

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-4.mga6
+ Revision: 1091164
- Rebuild for armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1090377
- Rebuild for armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089698
- Rebuild for arm

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089036
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078724
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078171
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070728
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065067
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064489
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063059
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060284
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057610
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053066
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052693
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048358
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044279
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042567
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041404
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039510
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021881
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014549
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009286
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999270
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998025
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994402
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987028
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983753
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927980
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922515
- New version 5.5.3

* Thu Dec 31 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 917191
- Add conflicts to ease update

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914850
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913641
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910695
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908856
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904409
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900767
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898267
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889527
- New version 5.4.2

* Sun Sep 20 2015 neoclust <neoclust> 5.4.1-2.mga6
+ Revision: 881931
- Build kde4 oxygen needed for not ported yet applications

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874739
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869656
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863611
- New version 5.3.95

* Tue Aug 04 2015 lmenut <lmenut> 5.3.2-7.mga6
+ Revision: 860940
- obsoletes qt5-style-oxygen
- fix lib names

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-6.mga6
+ Revision: 855126
- Revert previous previous commit

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 855114
- Fix packages names

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 855113
- Replace qt5-style-oxygen

* Sat Jul 11 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 853316
- Obsoletes kde4-style-oxygen

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851826
- Remove conflicts

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850699
- New version 5.3.2

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804508
- New version 5.1.2

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793586
- add missing conflicts with KDE 4 (mga#14300)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 744718
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 683293
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664649
- Rename -devel

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-2.mga5
+ Revision: 664622
- fix BuildRequires kwin-devel
+ neoclust <neoclust>
- Rename as this is not a framework
- Rename

* Thu Aug 14 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662472
- New version 5.0.1

* Fri Jul 25 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 656513
- imported package kf5-oxygen

